/*******************************************************************************
 Graph Project
 Copyright (C) 2006  denton

 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License
 as published by the Free Software Foundation; either version 2
 of the License, or (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 ********************************************************************************
 File: src/Record.java
 Version: 0.1.0  Date: 27.07.2006
 Author: denton
 *******************************************************************************/

package Graph;

import javax.microedition.rms.*;

public class Record {
    
    private static boolean storeExists(String rsName) {
        boolean f = true;
        RecordStore rs = null;
        if (rsName.length()>32) return false;
        try {
            rs = RecordStore.openRecordStore(rsName,false);
        } catch (RecordStoreNotFoundException e) {f = false;}
          catch (Exception e) {}
        finally {
            try {rs.closeRecordStore();}
              catch (Exception e) {}
        }
        return f;
    }
    
    public static void readData() {
        try {
            if (!storeExists("1")) return;
            RecordStore rs = RecordStore.openRecordStore("1",false);
            byte[] data = new byte[2];
            data = rs.getRecord(rs.getNextRecordID()-1);
            Graph.lng = data[0];
            Canvas1.scale = data[1];
            rs.closeRecordStore();
        } catch (RecordStoreException e) {System.out.println(e.getMessage());}
        
    }

    public static void writeData() throws RecordStoreException {
        byte[] data = new byte[2];
        data[0] = Graph.lng;
        data[1] = Canvas1.scale;
        RecordStore rs = RecordStore.openRecordStore("1",true);
        rs.addRecord(data,0,data.length);
        rs.closeRecordStore();
    }

    
}
